Package org.silverpeas.components.kmelia.notification

## Class KmeliaSupervisorPublicationUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
      - - org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification<org.silverpeas.core.contribution.publication.model.PublicationDetail>
        - - org.silverpeas.components.kmelia.notification.AbstractKmeliaPublicationUserNotification
          - - org.silverpeas.components.kmelia.notification.KmeliaSupervisorPublicationUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

      public class KmeliaSupervisorPublicationUserNotification
      extends AbstractKmeliaPublicationUserNotification

  Author:
    Yohann Chastagnier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaSupervisorPublicationUserNotification​(org.silverpeas.core.node.model.NodePK nodePK, org.silverpeas.core.contribution.publication.model.PublicationDetail resource)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getBundleSubjectKey()` |
    `protected String` | `getSender()` |
    `protected String` | `getTemplateFileName()` |
    `protected Collection<String>` | `getUserIdsToNotify()` |
    `protected boolean` | `isSendImmediately()` |
    `protected void` | `perform​(org.silverpeas.core.contribution.publication.model.PublicationDetail resource)` |

    - ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaPublicationUserNotification

      `getAction, getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getNodePK, getPath, getResourceURL, isGroupCanBeNotified, isUserCanBeNotified, performNotificationResource, performTemplateData, stopWhenNoUserToNotify`

    - ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification

      `getHTMLNodePath, getLocalizationBundlePath, getNodeHeader, getNodeService, getOrganisationController, getTemplatePath`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, initialize, initializeNotificationResourceData, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KmeliaSupervisorPublicationUserNotification

          public KmeliaSupervisorPublicationUserNotification​(org.silverpeas.core.node.model.NodePK nodePK,
                                                             org.silverpeas.core.contribution.publication.model.PublicationDetail resource)

  - ### Method Detail

    - #### perform

          protected void perform​(org.silverpeas.core.contribution.publication.model.PublicationDetail resource)

      Overrides:
        `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>`

    - #### getBundleSubjectKey

          protected String getBundleSubjectKey()

      Overrides:
        `getBundleSubjectKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>`

    - #### getTemplateFileName

          protected String getTemplateFileName()

      Specified by:
        `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>`

    - #### getUserIdsToNotify

          protected Collection<String> getUserIdsToNotify()

      Specified by:
        `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getSender

          protected String getSender()

      Overrides:
        `getSender` in class `AbstractKmeliaPublicationUserNotification`

    - #### isSendImmediately

          protected boolean isSendImmediately()

      Overrides:
        `isSendImmediately` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<org.silverpeas.core.contribution.publication.model.PublicationDetail>`